#!/system/bin/sh

# Created by: @HsnRil

Dev=@HsnRil
Ver=1.0

# PkgName
pes=jp.konami.pesam
asphalt9=com.gameloft.android.ANMP.GloftA9HM
epep=com.dts.freefireth
epepmax=com.dts.freefiremax
pubgG=com.tencent.ig
pubgK=com.pubg.krmobile

echo "\n⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⡿⠿⠿⠿⠿⢿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿
⣿⣿⣿⣿⣿⣿⣿⣿⠟⠋⠁⠀⠀⠀⠀⠀⠀⠀⠀⠉⠻⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿
⣿⣿⣿⣿⣿⣿⣿⠁⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⢺⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿
⣿⣿⣿⣿⣿⣿⣿⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠆⠜⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿
⣿⣿⣿⣿⠿⠿⠛⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠉⠻⣿⣿⣿⣿⣿
⣿⣿⡏⠁⠀⠀⠀⠀⠀⣀⣠⣤⣤⣶⣶⣶⣶⣶⣦⣤⡄⠀⠀⠀⠀⢀⣴⣿⣿⣿⣿⣿
⣿⣿⣷⣄⠀⠀⠀⢠⣾⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⢿⡧⠇⢀⣤⣶⣿⣿⣿⣿⣿⣿⣿
⣿⣿⣿⣿⣿⣿⣾⣮⣭⣿⡻⣽⣒⠀⣤⣜⣭⠐⢐⣒⠢⢰⢸⣿⣿⣿⣿⣿⣿⣿⣿⣿
⣿⣿⣿⣿⣿⣿⣿⣏⣿⣿⣿⣿⣿⣿⡟⣾⣿⠂⢈⢿⣷⣞⣸⣿⣿⣿⣿⣿⣿⣿⣿⣿
⣿⣿⣿⣿⣿⣿⣿⣿⣽⣿⣿⣷⣶⣾⡿⠿⣿⠗⠈⢻⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿
⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⡿⠻⠋⠉⠑⠀⠀⢘⢻⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿
⣿⣿⣿⣿⣿⣿⣿⡿⠟⢹⣿⣿⡇⢀⣶⣶⠴⠶⠀⠀⢽⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿
⣿⣿⣿⣿⣿⣿⡿⠀⠀⢸⣿⣿⠀⠀⠣⠀⠀⠀⠀⠀⡟⢿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿
⣿⣿⣿⡿⠟⠋⠀⠀⠀⠀⠹⣿⣧⣀⠀⠀⠀⠀⡀⣴⠁⢘⡙⢿⣿⣿⣿⣿⣿⣿⣿⣿
⠉⠉⠁⠀⠀⠀⠀⠀⠀⠀⠀⠈⠙⢿⠗⠂⠄⠀⣴⡟⠀⠀⡃⠀⠉⠉⠟⡿⣿⣿⣿⣿
⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⢷⠾⠛⠂⢹⠀⠀⠀⢡⠀⠀⠀⠀⠀⠙⠛⠿⢿\n"
echo " Ether Matrix "
echo " Dev. : $Dev "
echo " Ver. : $Ver "
echo

sleep 2

echo " Memasang Script... "
sleep 10

(
setprop debug.performance.tuning 1
setprop debug.kill_allocating_task 0
setprop debug.hwui.use_gpu_pixel_buffers true
setprop debug.sf.hw 1
setprop debug.egl.profiler 1
setprop debug.egl.hw 1
setprop debug.composition.type c2d
cmd game mode performance $pes
cmd game mode performance $asphalt9
cmd game mode performance $epep
cmd game mode performance $epepmax
cmd game mode performance $pubgG
cmd game mode performance $pubgK
settings put system high_mode 1
settings put global GPUTUNER_SWITCH true
settings put global GPUTURBO_SWITCH true
setprop debug.performance_schema_digests_size 9950000
setprop debug.gr.swapinterval -1
setprop debug.power_management_mode pref_max
setprop debug.performance.disturb false
setprop debug.mono.profile true
setprop debug.performance.tuning 1
setprop debug.camera.hal.disable_zsl_mode 1
setprop debug.qctwa.statusbar 0
setprop debug.qctwa.preservebuf 1
setprop debug.hwui.force_gpu_for_2d true
# Dexopt Background
cmd package bg-dexopt-job -f $pes
cmd package bg-dexopt-job -f $asphalt9
cmd package bg-dexopt-job -f $epep
cmd package bg-dexopt-job -f $epep
cmd package bg-dexopt-job -f $pubgG
cmd package bg-dexopt-job -f $pubgK
setprop media.stagefright.enable-player 1
setprop debug.hwui.use_threaded_rendering true
setprop debug.memory.use_aggressive_reclaim true
setprop debug.scheduler.enable_ts_cpu true
)> /dev/null 2>&1 &

echo " Done "
echo
